%peaksplotter
% The simplest type of MATLAB program is a script. This is a set of
% instructions that are run in the command window. All variables are
% displayed and can be edited. Note it is often much better to 'hide' internal
% processes into a function.
%
% LAST UPDATED by Andy French April 2016

%Define the title of a figure;
fig_title = 'Peaks surface';

%Define the fontsize of a graph
fsize = 18;

%Define number of data points used to evaluate peaks function (each, in x
%and y directions)
N = 100;

%

%Generate x,y,z coordinate matrices of peaks test function
[x,y,z] = peaks(N);

%Plot 3D shaded surface graph
fig = figure('name',fig_title,'numbertitle','off','color',[1 1 1]);
surf( x,y,z );
xlabel('x','fontsize',fsize);
ylabel('y','fontsize',fsize);
zlabel('z','fontsize',fsize);
title( fig_title,'fontsize',fsize);
axis tight
shading interp
colorbar('fontsize',fsize)
set(gca,'fontsize',fsize)
axis vis3d
box on
grid on

%Add lighting effects
lighting phong
camlight

%End of code